Bug 58836 - ntp startup script falsely reports success on ntpdate sync failure
Summary: ntp startup script falsely reports success on ntpdate sync failure
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ntp   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-25 16:25 UTC by Darren Gamble
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-28 08:59:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Darren Gamble 2002-01-25 16:25:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The startup script for ntp checks to see if /etc/ntp/step-tickers exists- if it 
does, it tries to run ntpdate to sync the clock.  However, the script reports 
success even if ntpdate fails

Version-Release number of selected component (if applicable):
4.1.0-4

How reproducible:
Always

Steps to Reproduce:
1. Change /etc/ntp/step-tickers to have an IP address of a server without ntp 
service.
2. (Re)start ntpd with /etc/init.d/ntpd.
	

Actual Results:  Script reports success on ntpdate time sync.

Expected Results:  Script should have reported failure on ntpdate time sync.

Additional info:

This bug confused us for quite some time as to why ntpd was not working 
properly (considering the lack of good documentation on it- not even a man 
page!)

Comment 1 Harald Hoyer 2002-01-29 10:23:31 UTC
fixed in 4.1.0b-5



Note You need to log in before you can comment on or make changes to this bug.